if(NOT MYSQL_ROOT_DIR)
    set(MYSQL_ROOT_DIR "${EXTERN_LIB_DIR}/mariadb")
endif(NOT MYSQL_ROOT_DIR)



if(NOT MYSQL_SRV_BIN_DIR)
    set(MYSQL_SRV_BIN_DIR ${MYSQL_ROOT_DIR}/install)
endif(NOT MYSQL_SRV_BIN_DIR)

if(NOT MYSQL_DLL)
    set(MYSQL_DLL "${MYSQL_SRV_BIN_DIR}/lib/libmariadb.dll")
endif(NOT MYSQL_DLL)

if(NOT MYSQL_SRV_BIN_DIR_WIN7)
    set(MYSQL_SRV_BIN_DIR_WIN7 ${MYSQL_ROOT_DIR}/install-win7)
endif(NOT MYSQL_SRV_BIN_DIR_WIN7)

if(NOT MYSQL_DLL_WIN7)
    set(MYSQL_DLL_WIN7 "${MYSQL_SRV_BIN_DIR_WIN7}/lib/libmariadb.dll")
endif(NOT MYSQL_DLL_WIN7)
